Create a new network
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/networks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"postalCode": "<string>",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"value": 123,
"isPrivate": true
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": [
"<string>"
],
"es_US": [
"<string>"
]
}
}
],
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {},
"ticketing": {},
"email": {},
"installerJourney": {},
"plugAndCharge": {},
"energyManagement": {}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/networks"
payload = {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"postalCode": "<string>",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"value": 123,
"isPrivate": True
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": ["<string>"],
"es_US": ["<string>"]
}
}
],
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {},
"ticketing": {},
"email": {},
"installerJourney": {},
"plugAndCharge": {},
"energyManagement": {}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
physicalAddress: {
streetNumber: '<string>',
streetName: '<string>',
city: '<string>',
postalCode: '<string>',
streetDetails: '<string>'
},
productOfferings: [
{
name: {en_US: '<string>', es_US: '<string>'},
currency: '<string>',
pricingDetails: [{value: 123, isPrivate: true}],
description: {en_US: '<string>', es_US: '<string>'},
features: {en_US: ['<string>'], es_US: ['<string>']}
}
],
contactDetails: {phone: '<string>', website: '<string>', email: '<string>'},
enrolledServices: {
billing: {},
ticketing: {},
email: {},
installerJourney: {},
plugAndCharge: {},
energyManagement: {}
},
siteHostDashboardUrl: '<string>',
driverSupportPhoneNumber: '<string>',
driverSupportSmsNumber: '<string>'
})
};
fetch('https://api.lynkwell.com/asset-management/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"type": "MONTHLY",
"value": 123,
"isPrivate": true
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": [
"<string>"
],
"es_US": [
"<string>"
]
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {
"finishedOnboarding": true
},
"ticketing": {},
"email": {},
"ocpi": {
"roles": [
"CPO"
]
},
"installerJourney": {},
"plugAndCharge": {},
"guestCharging": {
"connectedAccountId": "<string>",
"convenienceFeeInCents": 123,
"currency": "<string>"
},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"type": "FLEET",
"siteManagerMfaRequired": true
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Networks
Create a new network
This endpoint creates a new network.
POST
/
asset-management
/
v1
/
networks
Create a new network
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
The name of the network
Physical address details
Show child attributes
Show child attributes
Array of product offerings associated with the network
Show child attributes
Show child attributes
Contact details for the network
Show child attributes
Show child attributes
The services that the network is enrolled in. Specify the keys that should be enrolled.
Show child attributes
Show child attributes
The URL to the siteHost dashboard
Driver-facing support phone number in E.164 format
Driver-facing support SMS number in E.164 format
Available options:
FLEET, PUBLIC Response
Created
Show child attributes
Show child attributes